%h1= t '.listing_stalls'

= simple_form_for @search do |f|
  = f.input :name_contains, :required => false
  = f.input :seq_gte, :as => :integer, :required => false
  = f.input :seq_lte, :as => :integer, :required => false
  = f.submit :search

%table
  %tr
    %th= sort_link @search, :name
    %th= sort_link @search, :seq
    %th= t('.cow')
    %th
    %th
    %th

  - @stalls.each do |stall|
    %tr
      %td= stall.name
      %td= stall.seq
      %td= stall.cow.map{|x|sanitize x.ear_tag}.join("<br>").html_safe
      %td= link_to t('.show'), stall
      %td= link_to t('.edit'), edit_stall_path(stall)
      %td= link_to t('.destroy'), stall, :confirm => 'Are you sure?', :method => :delete

%br

= link_to t('.new_stall'), new_stall_path
\|
= link_to t('.list_kine'), kine_path
